Bug 1151658 - [abrt] pcmanfm: fm_file_info_ref(): pcmanfm killed by SIGSEGV
Summary: [abrt] pcmanfm: fm_file_info_ref(): pcmanfm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:79227bd66b880e7cbb628404123...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-11 01:06 UTC by Bill Chatfield
Modified: 2015-06-10 19:14 UTC (History)
1 user (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.88 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: cgroup (181 bytes, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: core_backtrace (12.27 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: dso_list (9.17 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: environ (1.21 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: exploitable (82 bytes, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: limits (1.29 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: maps (48.11 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: open_fds (1.94 KB, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details
File: var_log_messages (566 bytes, text/plain)
2014-10-11 01:06 UTC, Bill Chatfield
no flags Details

Description Bill Chatfield 2014-10-11 01:06:25 UTC
Version-Release number of selected component:
pcmanfm-1.2.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        pcmanfm --desktop --profile LXDE
crash_function: fm_file_info_ref
executable:     /usr/bin/pcmanfm
kernel:         3.16.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_file_info_ref at base/fm-file-info.c:853
 #1 _fetch_file_info_for_shortcut at base/fm-file-launcher.c:144
 #2 fm_launch_files at base/fm-file-launcher.c:260
 #3 fm_launch_files_simple at gtk/fm-gtk-file-launcher.c:207
 #4 fm_folder_view_item_clicked at gtk/fm-folder-view.c:1766
 #5 on_button_press at desktop.c:3389
 #6 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #11 gtk_widget_event_internal at gtkwidget.c:7168
 #12 gtk_widget_event at gtkwidget.c:6830
 #13 propagate_event_up at gtkmain.c:2391

Comment 1 Bill Chatfield 2014-10-11 01:06:28 UTC
Created attachment 945867 [details]
File: backtrace

Comment 2 Bill Chatfield 2014-10-11 01:06:28 UTC
Created attachment 945868 [details]
File: cgroup

Comment 3 Bill Chatfield 2014-10-11 01:06:29 UTC
Created attachment 945869 [details]
File: core_backtrace

Comment 4 Bill Chatfield 2014-10-11 01:06:30 UTC
Created attachment 945870 [details]
File: dso_list

Comment 5 Bill Chatfield 2014-10-11 01:06:31 UTC
Created attachment 945871 [details]
File: environ

Comment 6 Bill Chatfield 2014-10-11 01:06:32 UTC
Created attachment 945872 [details]
File: exploitable

Comment 7 Bill Chatfield 2014-10-11 01:06:32 UTC
Created attachment 945873 [details]
File: limits

Comment 8 Bill Chatfield 2014-10-11 01:06:33 UTC
Created attachment 945874 [details]
File: maps

Comment 9 Bill Chatfield 2014-10-11 01:06:34 UTC
Created attachment 945875 [details]
File: open_fds

Comment 10 Bill Chatfield 2014-10-11 01:06:35 UTC
Created attachment 945876 [details]
File: proc_pid_status

Comment 11 Bill Chatfield 2014-10-11 01:06:36 UTC
Created attachment 945877 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-05-21 16:12:26 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 13 Fedora Update System 2015-05-21 16:13:23 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 14 Fedora Update System 2015-05-21 16:14:03 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 15 Fedora Update System 2015-05-22 17:55:39 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 16 Fedora End Of Life 2015-05-29 13:03:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2015-06-10 19:12:45 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-10 19:13:15 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-10 19:14:16 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.